Summary: Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder.
Name: ffmpeg
Version: 0.4.6
Release: 3
License: GPL
Group: System Environment/Libraries
Source: http://ffmpeg.sourceforge.net/cvs/%{name}-%{?date:cvs-%{date}}%{!?date:%{version}}.tar.gz
URL: http://ffmpeg.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: zlib
%{!?_without_a52dec:Requires: a52dec}
%{!?_without_lame:Requires: lame}
%{!?_without_vorbis:Requires: libogg, libvorbis}
BuildRequires: zlib-devel
%{!?_without_a52dec:BuildRequires: a52dec-devel}
%{!?_without_lame:BuildRequires: lame-devel}
%{!?_without_vorbis:BuildRequires: libogg-devel, libvorbis-devel}
AutoProv: no
Provides: %{name} = %{version}-%{release}
Provides: libavcodec-%{version}.so, libavcodec.so
Obsoletes: libffmpeg

%description
FFmpeg is a very fast video and audio converter. It can also grab from a
live audio/video source.
The command line interface is designed to be intuitive, in the sense that
ffmpeg tries to figure out all the parameters, when possible. You have
usually to give only the target bitrate you want. FFmpeg can also convert
from any sample rate to any other, and resize video on the fly with a high
quality polyphase filter.

Available rpmbuild rebuild options :
--without : a52dec lame vorbis


%package devel
Summary: Header files and static library for the ffmpeg codec library.
Group: Development/Libraries
Requires: %{name} = %{version}
Obsoletes: libffmpeg-devel

%description devel
FFmpeg is a very fast video and audio converter. It can also grab from a
live audio/video source.
The command line interface is designed to be intuitive, in the sense that
ffmpeg tries to figure out all the parameters, when possible. You have
usually to give only the target bitrate you want. FFmpeg can also convert
from any sample rate to any other, and resize video on the fly with a high
quality polyphase filter.

Install this package if you want to compile apps with ffmpeg support.


%prep
%setup -q -n %{name}-%{?date:cvs-%{date}}%{!?date:%{version}}

%build
# Don't call ldconfig on install
perl -pi -e 's/ldconfig \|\| true//' libavcodec/Makefile

%configure \
	%{!?_without_a52dec: --enable-a52bin} \
	%{!?_without_lame: --enable-mp3lame} \
	%{!?_without_vorbis: --enable-vorbis} \
	--enable-shared
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

# Make installlib is broken in 0.4.6, so we do it by hand
install -m 644 libavcodec/libavcodec.a %{buildroot}%{_libdir}

# Create compat symlink
mkdir %{buildroot}%{_libdir}/libavcodec
ln -s ../libavcodec.a %{buildroot}%{_libdir}/libavcodec/libavcodec.a

# Remove from the included docs
rm -f doc/Makefile

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc COPYING CREDITS Changelog README doc/
%{_bindir}/*
%{_libdir}/libavcodec-*.so
%{_libdir}/libavcodec.so
%{_libdir}/vhook

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/libavcodec
%{_libdir}/libavcodec.a

%changelog
* Sat Apr 5 2003 Jason Luka <jason@geshp.com>
- Rebuilt on Red Hat 9
- Add libffmpeg and -devel obsoletes
- Merged libffmpeg into ffmpeg

* Thu Mar 27 2003 Jason Luka <jason@geshp.com> 0.4.6-1
- Removed major version from library package name
- Added imlib2 as required library (since imlib2-devel is required to build)

* Mon Feb 03 2003 Yves Duret <yves@zarb.org> 0.4.6-1
- recompile for redhat and VideoLAN

* Thu Jan 16 2003 Yves Duret <yves@zarb.org> 0.4.6-2mdk
- put back %%_libdir/libavcodec/libavcodec.a compat symlink.
- add commentary about make installlib broken for the moment.

* Sat Jan  4 2003 Götz Waschk <waschk@linux-mandrake.com> 0.4.6-1mdk
- fix installation
- new version

* Sun Dec 15 2002 Yves Duret <yves@zarb.org> 0.4.6-0.20021209.2mdk
- use make installlib instead of doing it by hand.
- added a symlink %_libdir/libavcodec/libavcodec.a to .. for some soft that
  search libavcodec.a here.

* Mon Dec  9 2002 Götz Waschk <waschk@linux-mandrake.com> 0.4.6-0.20021209.1mdk
- add avformat stuff for gstreamer
- add vhook plugins
- build with imlib2 support
- new snapshot

* Mon Oct 28 2002 Götz Waschk <waschk@linux-mandrake.com> 0.4.6-0.20021028.1mdk
- latest CVS snapshot

* Mon Aug 19 2002 Han Boetes <han@linux-mandrake.com> 0.4.6-0.20020819.1mdk
- update a bit
- Minor cleanups

* Wed Jul 10 2002 Götz Waschk <waschk@linux-mandrake.com> 0.4.6-0.20020710.1mdk
- change the major to 0.4.6 
- new cvs snapshot

* Thu Jun 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.6-0.20020605.2mdk
- enabled mmx again, there is runtime detection (Götz Waschk <waschk@linux-mandrake.com>)

* Thu Jun 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.6-0.20020605.1mdk
- updated snapshot
- fixed build
- disabled mmx :-(
- documentation for main package only
- added missing binaries

* Sat May 18 2002 Yves Duret <yduret@mandrakesoft.com> 0.4.6-0.20020417.4mdk
- include libavcodec.a (no official release with a stable API -> static linking).
- fix FAQ missing (now in doc/FAQ).

* Wed May 15 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.6-0.20020417.3mdk
- fixed wrong release

* Wed May 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.6-0.20020417.2mdk
- added missing provides

* Wed Apr 17 2002 Götz Waschk <waschk@linux-mandrake.com> 0.4.6-0.20020417.1mdk
- update to CVS snapshot
- build shared library
- split package
- don't use %%configure, it's not an autoconf script
- add header files

* Mon Sep 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- added in contribs by Götz Waschk <waschk@linux-mandrake.com> :
        - removed ffserver, because it doesn't work according to the FAQ
        - initial package


# end of file
